{
	"model": {
		"type": "select",
		"property": "custom_model_data",
		"fallback": {
			"type": "model",
			"model": "item/stick"
		},
		"cases": [
			{
				"when": "flag_white",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_white"
				}
			},
			{
				"when": "flag_black",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_black"
				}
			},
			{
				"when": "flag_blue",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_blue"
				}
			},
			{
				"when": "flag_brown",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_brown"
				}
			},
			{
				"when": "flag_cyan",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_cyan"
				}
			},
			{
				"when": "flag_gray",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_gray"
				}
			},
			{
				"when": "flag_green",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_green"
				}
			},
			{
				"when": "flag_light_blue",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_light_blue"
				}
			},
			{
				"when": "flag_light_gray",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_light_gray"
				}
			},
			{
				"when": "flag_lime",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_lime"
				}
			},
			{
				"when": "flag_magenta",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_magenta"
				}
			},
			{
				"when": "flag_orange",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_orange"
				}
			},
			{
				"when": "flag_pink",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_pink"
				}
			},
			{
				"when": "flag_purple",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_purple"
				}
			},
			{
				"when": "flag_red",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_red"
				}
			},
			{
				"when": "flag_yellow",
				"model": {
					"type": "model",
					"model": "item/random_items/flag_yellow"
				}
			}
		]
	}
}